<?php
    
    global $tpl;  
    $tpl->assign(array('step'=>1));
    $Nazwa = $_REQUEST['nazwa'];
    
    if( isset( $_REQUEST['ProcesId'] ) )
    {

        $Proces = procesy::get( $_REQUEST['ProcesId'] );
        core::$i->id = $Proces->temat_id;
        if( !$Proces->user AND empty( $Nazwa ) ) $Nazwa = 'Kopia #' . $Proces->id;
        
        //if( $Proces->end ) $Proces = false;
        
        //js::$i->setJSON( 'error' , $_REQUEST['ProcesId'] );
        
    }
    
    if( !$Temat = tematy::get( core::$i->id ) AND !$Proces->id )
    {
        js::$i->setJSON( 'error' , l('Wybierz temat') );
    } 
    elseif( empty($Nazwa) AND isset( $_REQUEST['CreateNew'] ) )
    {
        js::$i->setJSON( 'error' , l('Podaj nazwę procesu') );
    } 
    else 
    {
        
        if( !$Proces->id OR $Proces->id < 3 )
        {
            list( $Proces_ID ) = db::$i->row("SELECT `id` FROM `procesy` WHERE `temat_id`='{$Temat->id}' AND `user` IS NULL");
            $ProcesId = procesy::copy( $Proces_ID , esc( $Nazwa ) , user::$i->id , user::$i->AllData['therapist'] );
        }
        else 
        {
            $ProcesId = $Proces->id;
        }
        
        if( $ProcesId )
        {
            
            // Pobranie aktualnych wartosci
            $Wartosci = array();
            $query = db::$i->q("SELECT * FROM `wartosci` WHERE `proces_id`='".( $ProcesId )."'",true);
            
            if( db::$i->rows )
            {
                while( $item = db::$i->f( $query ) )
                {
                    $Wartosci[$item['alternatywa_id']][$item['kryterium_id']] = $item['wartosc'];
                }
            } 
     
            $tpl->assign(array(
                'ProcesId' => $ProcesId,
                'Temat' => $Temat,
                'Wartosci' => $Wartosci,
                'Alternatywy' => alternatywy::getList( $Temat->id , $ProcesId , $Wartosci )
            ));
    
            js::$i->setJSON(array(   
                'status' => true,
                'html' => $tpl->fetch('ajax/' . core::$i->mode . '/' . core::$i->function . '.tpl' )
            ));
        } 
        else 
        {
            js::$i->setJSON('error',l('Nie udało się utworzyć nowego procesu'));
        }

    }

?>